%global pkg_name glib

%global common_summary Haskell %{pkg_name} library

%global common_description Binding to the GLIB library for Gtk2Hs.

%global ghc_pkg_c_deps glib2-devel

# obsolete old gtk2hs packages
%global ghc_pkg_obsoletes ghc-gconf-devel < 0.11, ghc-gstreamer-devel < 0.11, ghc-svgcairo-devel < 0.11, ghc-gtk2hs-doc < 0.11

Name:           ghc-%{pkg_name}
Version:        0.12.0
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}
BuildRequires:  gtk2hs-buildtools

%description
%{common_description}


%{?ghc_lib_package}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%changelog
* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.12.0-4
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 0.12.0-2
- update to cabal2spec-0.22.4

* Tue Nov 30 2010 Jens Petersen <petersen@redhat.com> - 0.12.0-1
- update to 0.12.0 and drop the Gtk2HsSetup patch

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-4
- obsolete ghc-gtk2hs-doc
- fix build with Cabal-1.10 with ghc-glib-Gtk2HsSetup-Cabal-1.10.patch

* Sat Sep 25 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-3
- obsolete ghc-gtk2hs gconf, gstreamer, and svgcairo
- using ghc_pkg_obsoletes from ghc-rpm-macros-0.8.2

* Tue Sep  7 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-2
- fix the build macro

* Mon Sep  6 2010 Jens Petersen <petersen@redhat.com> - 0.11.2-1
- update to 0.11.2

* Thu Aug 19 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-1
- update to 0.11.1

* Fri Jul 16 2010 Jens Petersen <petersen@redhat.com> - 0.11.0-2
- use ghc-rpm-macros-0.8.1 so devel provides doc

* Wed Jun 30 2010 Jens Petersen <petersen@redhat.com> - 0.11.0-1
- description and license
- buildrequires gtk2hs-buildtools
- support hscolour
- buildrequires glib2-devel

* Wed Jun 30 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.1
